> For the complete documentation index, see [llms.txt](https://docs.agilefi.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.agilefi.org/agile.js/agl-methods/delegate-by-sig.md).

# Delegate By Sig

Delegate voting rights in Agile Governance using an EIP-712 signature.

* `_address` (string) The address to delegate the user's voting rights to.
* `nonce` (number) The contract state required to match the signature. This can be retrieved from the AGL contract's public nonces mapping.
* `expiry` (number) The time at which to expire the signature. A block timestamp as seconds since the unix epoch.
* `signature` (object) An object that contains the v, r, and, s values of an EIP-712 signature.
* `[options]` (CallOptions) Options to set for `eth_call`, optional ABI (as JSON object), and Ethers.js method overrides. The ABI can be a string of the single intended method, an array of many methods, or a JSON object of the ABI generated by a Solidity compiler.
* `RETURN` (object) Returns an Ethers.js transaction object of the vote transaction.

```
const agile = new Agile(window.ethereum);

(async function() {
  const delegateTx = await agile.delegateBySig(
    '0xa0df350d2637096571F7A701CBc1C5fdE30dF76A',
    42,
    9999999999,
    {
      v: '0x1b',
      r: '0x130dbca2fafa07424c033b4479687cc1deeb65f08809e3ab397988cc4c6f2e78',
      s: '0x1debeb8250262f23906b1177161f0c7c9aa3641e8bff5b6f5c88a6bb78d5d8cd'
    }
  );
  console.log('Ethers.js transaction object', delegateTx);
})().catch(console.error);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agilefi.org/agile.js/agl-methods/delegate-by-sig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
